#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=punggyeri14.9_base.ps
projection=-JM16.0c+
region=-R128.9/129.2/41.2/41.4
gmt psbasemap $region $projection -Bxa0.2f0.1 -Bya0.2f0.1 -BWeSn+t'Base Map punggyeri14.9' -K > $psfile
gmt grdcut tables/gmt/dem/custom/punggyeri_srtm3.grd -Gmloc.grd $region -fg
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grd2cpt mloc.grd -Ctables/gmt/cpt/elevation.cpt > mloc.cpt
palette=-Cmloc.cpt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd mloc.cpt
gmt pscoast $projection $region -Df -Ia,blue -Wblue -O -K >> $psfile
# Event numbers
gmt psxy -: -R $projection -Sl8p+t"1" -G0 -O -K << END >> $psfile
    41.285   129.109
END
gmt psxy -: -R $projection -Sl8p+t"2" -G0 -O -K << END >> $psfile
    41.291   129.081
END
gmt psxy -: -R $projection -Sl8p+t"3" -G0 -O -K << END >> $psfile
    41.287   129.075
END
gmt psxy -: -R $projection -Sl8p+t"4" -G0 -O -K << END >> $psfile
    41.290   129.066
END
gmt psxy -: -R $projection -Sl8p+t"5" -G0 -O -K << END >> $psfile
    41.291   129.077
END
gmt psxy -: -R $projection -Sl8p+t"6" -G0 -O -K << END >> $psfile
    41.299   129.077
END
# Change in location, calibration shift if available
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.295   129.028
    41.296   129.027
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.311   129.055
    41.285   129.109
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    41.296   129.027
    41.285   129.109
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.302   128.999
    41.302   128.999
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.294   129.070
    41.291   129.081
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    41.302   128.999
    41.291   129.081
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.298   128.993
    41.298   128.993
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.314   129.093
    41.287   129.075
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    41.298   128.993
    41.287   129.075
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.301   128.984
    41.301   128.984
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.300   129.047
    41.290   129.066
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    41.301   128.984
    41.290   129.066
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.301   128.995
    41.301   128.995
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.298   128.974
    41.291   129.077
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    41.301   128.995
    41.291   129.077
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.309   128.995
    41.309   128.995
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.332   129.030
    41.299   129.077
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    41.309   128.995
    41.299   129.077
END
# Calibration locations marked by a red cross
gmt psxy -: -R $projection -Sx -Wthick,red -O -K << END >> $psfile
    41.285   129.108     0.200
    41.291   129.082     0.200
END
# Calibration location confidence ellipses
gmt psxy -: -R $projection -SE -Wthick,red -O -K << END >> $psfile
    41.285   129.108     0.000     1.000     1.000
    41.291   129.082     0.000     1.000     1.000
END
# Residual calibration shift vectors
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    41.285   129.108
    41.285   129.109
END
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    41.291   129.082
    41.291   129.081
END
# Confidence ellipses for relative location
gmt psxy -: -R $projection -SE -Wthick -O -K << END >> $psfile
    41.285   129.109    -5.880     0.535     0.708
    41.291   129.081    15.555     0.362     0.439
    41.287   129.075    17.086     0.311     0.349
    41.290   129.066     0.033     0.393     0.490
    41.291   129.077    42.796     0.551     0.610
    41.299   129.077    17.779     0.618     0.689
END
# Hypocentroid confidence ellipse
gmt psxy -: -R $projection -SE -Wthick,blue -O -K << END >> $psfile
    41.239   128.956    -0.609     1.098     1.153
END
gmt pstext -: -R $projection -F+f6p,Helvetica,blue+a0.+jBL -O -K << END >> $psfile
    41.239   128.979   Hypocentroid
END
# Circle of radius 5 km for reference
gmt psxy -: -R $projection -SE -Wthick,red -O -K << END >> $psfile
    41.239   128.956     0.000    10.000    10.000
END
gmt psxy -: -R $projection -Sx -Wthinnest,blue -O -K << END >> $psfile
    41.239   128.956     0.070
END
gmt pstext -: -R $projection -F+f6p,Helvetica-Bold,red+a0.+jBC -Gwhite -O << END >> $psfile
    41.194   128.956   5 km
END
